﻿@*<script type="text/javascript" src="@Url.Content("~/Scripts/CommonMessage/common-message.js")"></script>*@

<script type="text/javascript">

    function MessageShow() {
        PU_Add.Show();
    }

    function OnDetailGridBeginCallback(s, e) {
        var p_PROCESS_ID = Process_ID2.GetText();

        e.customArgs["p_PROCESS_ID"] = p_PROCESS_ID;
    }

    function OnBeginCallBackPopup(s, e) {
        var p_PROCESS_ID = Process_ID2.GetText();
        e.customArgs["p_PROCESS_ID"] = p_PROCESS_ID;
    }

    function DownloadPipeLine()
    {
        var p_PROCESS_ID = Process_ID2.GetText();
        $.fileDownload('@Url.Action("DownloadData_ByPID", "PipeLineInquiry")', {
            data: {
                pid: p_PROCESS_ID
            },
            succesCallback: function (url) {
            },
            failCallback: function (responseHtml, url) {
            }
        });
    }

    function OnDownloadLogMonitoringDetail() {
        //$("#message-displayer").hide();
        var pProcessId = I_ProcessId.GetText();
        //alert(pProcessId);
        //PU_Add.Hide();

        var link = "@Url.Content("~/LogMonitoring/DownloadData")" + "?pProcessId=" + pProcessId + "";

        // console.log(link);

        window.location = link;

        //alert(link);
        //PU_Add.close();
        //window.open(link, '_blank');
        //window.show();
        //window.location = link;


    }
</script>

@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "PU_Add";
    settings.CallbackRouteValues = new { Controller = "LogMonitoring", Action = "_PopUpLog" };
    settings.ClientSideEvents.BeginCallback = "OnBeginCallBackPopup";
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.ShowFooter = true;
    settings.FooterText = " ";
    settings.AllowDragging = true;
    settings.EnableHotTrack = true;
    settings.PopupAnimationType = AnimationType.Slide;
    settings.Height = 460;
    settings.MinHeight = 250;
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(1180);
    settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    settings.Modal = true;
    settings.HeaderText = "Log Monitoring Detail";
}).GetHtml()